# 1.0.0[−][src]Trait std::os::unix::ffi::OsStrExt

    pub trait OsStrExt {
        fn from_bytes(slice: &[u8]) -> &Self;
        fn as_bytes(&self) -> &[u8];
    }

This is supported on Unix only.

Platform-specific extensions to `OsStr`.

## Required methods

### `fn from_bytes(slice: &[u8]) -> &Self`

This is supported on Unix only.

Creates an `OsStr` from a byte slice.

See the module documentation for an example.

### `fn as_bytes(&self) -> &[u8]`

This is supported on Unix only.

Gets the underlying byte view of the `OsStr` slice.

See the module documentation for an example.

Loading content...

## Implementors

### `impl OsStrExt for OsStr`[src]

#### `fn from_bytes(slice: &[u8]) -> &OsStr`[src]

This is supported on Unix only.

#### `fn as_bytes(&self) -> &[u8]`[src]

This is supported on Unix only.
Loading content...